GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Android publishing doesn't accept my keystore password

pascal83pascal83 Posts: 14Member
Hi everyone, I have been tring to publish my work for Android cell phone these days. As a gamesalad user, I have tried to follow the cookbook from the gamesalad.com and also the video from tenrdrmer in youtube, find no help with that. And seems no one have met the same issue as I am, so now I put my chance on your reponses here, if you know any solution about what I am writing below, please don't hesitate to follow this post, I'm really appreciated your help!

Following the cookbook, I successed to created a SDK folder in home sector, updated all sdk pakages necessary. I had an issue when creating a keystore before, but now it has been done, actually I created 2 keystores, even though it's not necessary.

Ok, the real problem is when I click publish in gamesalad interface, click next go to the page where we can configure app name, select keystore and verify the Keytool, Jarsigner, and Zipalign locations are all valid.

Here, when I finished select a keystore, it appear a warning field to fill the keystore password. I can remember clearly my password for keystore and for alias, its the same one. In order to make sure that I don't make a mistake here, thats why I created a second keystore file immediately. I tried to used -keypass and -storepass options to generate the second keystore, make sure the password its the one I want, but in the end, the password field still light up a red warning, that's the problem I can't go further in Android publishing.

I hope I descript clearly my problem, does anyone have an idea in this?
I really need your helps now, and I really hope to see from your reponses. I wrote a little bit more, thank you for your time and patient.

Comments

  • tenrdrmertenrdrmer Posts: 9,934Member, Sous Chef, Senior Sous-Chef
    Did you type in your password and press enter? If it doesn't accept it and pop up for the second password then you have the wrong password unfortunately.

    It's not my fault I never learned to take responsibility for anything. ;)

  • pascal83pascal83 Posts: 14Member
    Did you type in your password and press enter? If it doesn't accept it and pop up for the second password then you have the wrong password unfortunately.
    @tenrdrmer Thanks for your answer, I'am sure I press enter and the password is the right one, any other tiny thing can affect the result?

    By the way, the mac mini system I use is in Chinese, the real one lol. I mention this because when I was creating a keystore, the terminal's default language is Unicode UTF-8 it can not show msg right, it bothered me for a few days. After that I change the language to GB 2312, by any chance, when I created a keystore, the password i typed has been encoded into another language? That why I enter it right but the result is wrong? Even the password is composed of simple numbers?
  • The_Gamesalad_GuruThe_Gamesalad_Guru Posts: 9,913Member
    Set the language of you computer properly and then make a new keystore.
  • tenrdrmertenrdrmer Posts: 9,934Member, Sous Chef, Senior Sous-Chef
    Set the language of you computer properly and then make a new keystore.
    Yes this cause problems as well. I believe you need to be in English on your mac for the keystores to work correctly

    It's not my fault I never learned to take responsibility for anything. ;)

  • bajashbajash Posts: 215Member, PRO
    Hi All,

    I just had this same issue. I know I am using the correct password. I updated this app in May and have another update to release. It will not take my password. Any help for this?

    Thanks
  • pascal83pascal83 Posts: 14Member
    Hi All,

    I just had this same issue. I know I am using the correct password. I updated this app in May and have another update to release. It will not take my password. Any help for this?

    Thanks
    My solution is to change my system default language, make sure its English, it works for me. Seems your problem is about the version, if it doesnt help, you should try to ask someone else.
This discussion has been closed.